Bug 106491 - Android: Make document browsing experience better
Summary: Android: Make document browsing experience better
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Android Viewer (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha1+
Hardware: ARM Android
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: mabAndroid
  Show dependency treegraph
 
Reported: 2017-03-11 06:34 UTC by Gautam Prajapati
Modified: 2022-05-03 19:53 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gautam Prajapati 2017-03-11 06:34:54 UTC
*Overview*

Document browsing experience of the viewer can be made much better. 
Instead of generic folder browsing showing recent/all documents on home screen. 

Opening a file from Local Storage can be kept as a menu option. 

*Reproducible*

Yes, from current version on play store 5.3.0.0.alpha1+ upto the latest master build version 5.4.0.0.alpha0+ features folder browsing. 

*Additional Information*

This enhancement would focus on making a browsing system similar to Google docs application.
Comment 1 raal 2017-07-08 16:40:52 UTC
valid enhancement
Comment 2 Michael Weghorn 2022-05-03 19:53:21 UTC
Android Viewer now uses the documents provider framework [1], which uses the system file chooser provided by Android.
The app's custom file abstraction layer and documents browsing UI has been dropped in

commit a23bd42e9b2f6401c710ac95afcc3aa8f360d65c
Author: Michael Weghorn
Date:   Tue Apr 6 14:26:06 2021 +0200

    android: Drop custom file abstraction + UI

The custom document browsing mechanism, which was accessing the file system directly would also no longer be in line with security requirements for current Android versions, s.a. [2].
Using the document provider framework also provides consistency with other apps. 

Given the above, my understanding is that any improvements in how file browsing works would not be done in Android Viewer, but either in one of the existing document providers, or by creating a separate app that provides a new document provider or a different way of browsing the file system and opening files from there.

Therefore, I'm closing this as WORKSFORME. (NOTOURBUG or WONTFIX might fit as well.)


[1] https://developer.android.com/training/data-storage/shared/documents-files
[2] https://developer.android.com/about/versions/11/privacy/storage#scoped-storage